registercheckby openlaw group
API referenceEvents

Retrieve a register event

GET
/events/{event_id}

One event from GET /events. An event that is unknown, outside the list, or whose company or person is restricted answers 404.

An event only one of your monitors matched (GET /events?monitor_id=) is read here too, free; another workspace's answers 404.

Costs 1 credit; free for an event one of your monitors matched.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Path Parameters

event_id*string

The event's id.

Match^evt_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.registercheck.de/v1/events/evt_0dkj5qmvty9my8pagz1terryva" \  -H "Authorization: Bearer $REGISTERCHECK_API_KEY"
{  "object": "event",  "id": "evt_0dkj5qmvty9my8pagz1terryva",  "subject": {    "object": "company",    "id": "cmp_1z3gn9wpvx9j59w8bd9w5rm72n",    "name": "string"  },  "source": {    "object": "register_entry",    "id": "rge_4x9gd2pzkf99drrf9e3w59q302",    "number": 1,    "published_on": "2019-08-24",    "text": "string"  },  "effective_date": "2019-08-24",  "created_at": "2026-09-21T10:14:02Z",  "type": "company.role.added",  "data": {    "holder": {      "object": "company",      "id": "cmp_1z3gn9wpvx9j59w8bd9w5rm72n",      "name": "string"    },    "role_type": "managing_director"  }}